/* $Id: 1$ */
/** @apmext.h
  *
  *  Header APM, externals
  *
  * SSI confidential
  *
  * Copyright (c) 2006  Serenity Systems International
  *
  * Author: Pavel Shtemenko <pasha@paco.odessa.ua>
  *
  * All Rights Reserved
  *
  */

#ifndef __ACPI_APM_EX__
#define __ACPI_APM_EX__

extern ULONG EnablePowerManagment;
extern unsigned long long  BusyCounter;
extern unsigned long long  C1Counter;
extern unsigned long long  C2Counter;
extern unsigned long long  C3Counter;

extern ACPIBattery       Bat[];
extern ULONG BRate;
extern ULONG BRemaining;
extern ULONG LastFull;
extern ULONG BatteryCount;

extern ULONG      C2Port;
extern ULONG      C2PortIdle;
extern ULONG      C3Port;
extern unsigned long long    BusyCounter;
extern unsigned long long    C1Counter;
extern unsigned long long    C2Counter;
extern unsigned long long    C3Counter;
extern unsigned long long    HLTIdleCounter;     // Idle via HLT
extern unsigned long long    PSDBusyCounter;     // Busy via PSD call
extern unsigned long long    PSDIdleCounter;     // Idle via PSD call

extern ULONG Life;

#endif
